import { OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { DialogController } from './dialog-controller';
export declare class DialogComponent implements OnInit, OnDestroy {
    private dialogController;
    private router;
    show: boolean;
    title: string | TemplateRef<any>;
    content: string | TemplateRef<any>;
    btnsText: Array<any>;
    result: boolean;
    readonly titleIsString: boolean;
    readonly contentIsString: boolean;
    private subs;
    constructor(dialogController: DialogController, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    checked(result: boolean): void;
    hide(): void;
}
